Page MenuHomePhabricator

1.39.0-wmf.16 deployment blockers
Closed, ResolvedPublic5 Estimated Story PointsRelease

Details

Backup Train Conductor
dduvall
Release Version
1.39.0-wmf.16
Release Date
Mon, Jun 13, 12:00 AM

2022 week 24 1.39-wmf.16 Changes wmf/1.39.0-wmf.16

This MediaWiki Train Deployment is scheduled for the week of Monday, June 13th:

Monday June 13thTuesday, June 14thWednesday, June 15thThursday, June 16thFriday
Backports only.Branch wmf.16 and deploy to Group 0 Wikis.Deploy wmf.16 to Group 1 Wikis.Deploy wmf.16 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.16 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward. This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • If you have a risky change in this week's train add a comment to this task using the Risky patch template
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.39.0-wmf.15
Next: 1.39.0-wmf.17

Event Timeline

thcipriani triaged this task as Medium priority.
thcipriani updated Other Assignee, added: jeena.
thcipriani set the point value for this task to 5.
Seddon added a subscriber: Seddon.

Regarding T310401

The problem was only occurring on a single repeated search query.

The issue stopped of its own accord at 1800 and nothing went out on this week's train with MediaSearch.

I’m not immediately aware of any degradation of user experience.

I'm going to drop the priority and remove this as a blocker from the train for the time being but I have tasked an engineer to look at this on Monday.

Since the error isn’t occurring any further it may be difficult to replicate.

After the 1.39.0-wmf.16 branch cut happened, @tstarling deployed a change to the AbuseFilter extension (see T212129). The change does not seem to have been merged on the new deployment branch though, only on master and wmf/1.39.0-wmf.15. Will it be necessary to merge this change into the new deployment branch, since apparently it is needed for a configuration change that was made in InitialiseSettings.php?

Yes, it is necessary. Reverting it would overload the x2 cluster.

Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Yes, it is necessary. Reverting it would overload the x2 cluster.

Marked as a blocker and cherry-picked https://gerrit.wikimedia.org/r/c/mediawiki/extensions/AbuseFilter/+/805361; sorry, am in meetings so can't deploy for you.

Marked as a blocker and cherry-picked https://gerrit.wikimedia.org/r/c/mediawiki/extensions/AbuseFilter/+/805361; sorry, am in meetings so can't deploy for you.

+2'd - php-1.39.0-wmf.16 doesn't yet exist on deployment box, so shouldn't require a separate deployment step.

Mentioned in SAL (#wikimedia-operations) [2022-06-14T17:12:58Z] <brennen> train 1.39.0-wmf.16 (T308069): train is blocked - will sync to testwikis and hold there for resolution of T310532

Mentioned in SAL (#wikimedia-releng) [2022-06-14T17:18:03Z] <brennen> starting 1.39.0-wmf.16 (T308069) transcript in deploy1002:~brennen/1.39.0-wmf.16.log

Mentioned in SAL (#wikimedia-operations) [2022-06-15T16:54:48Z] <brennen> train 1.39.0-wmf.16 (T308069): no current blockers - rolling to group0

Change 805866 had a related patch set uploaded (by Brennen Bearnes; author: Brennen Bearnes):

[operations/mediawiki-config@master] group0 wikis to 1.39.0-wmf.16

https://gerrit.wikimedia.org/r/805866

Change 805866 merged by jenkins-bot:

[operations/mediawiki-config@master] group0 wikis to 1.39.0-wmf.16

https://gerrit.wikimedia.org/r/805866

Mentioned in SAL (#wikimedia-operations) [2022-06-15T17:03:29Z] <brennen@deploy1002> rebuilt and synchronized wikiversions files: group0 wikis to 1.39.0-wmf.16 refs T308069

Change 805877 had a related patch set uploaded (by Brennen Bearnes; author: Brennen Bearnes):

[operations/mediawiki-config@master] group1 wikis to 1.39.0-wmf.16

https://gerrit.wikimedia.org/r/805877

Change 805877 merged by jenkins-bot:

[operations/mediawiki-config@master] group1 wikis to 1.39.0-wmf.16

https://gerrit.wikimedia.org/r/805877

Mentioned in SAL (#wikimedia-operations) [2022-06-15T18:06:58Z] <brennen@deploy1002> rebuilt and synchronized wikiversions files: group1 wikis to 1.39.0-wmf.16 refs T308069

Mentioned in SAL (#wikimedia-operations) [2022-06-15T18:10:42Z] <brennen@deploy1002> Synchronized php: group1 wikis to 1.39.0-wmf.16 refs T308069 (duration: 03m 43s)

Noting T310742: Editing tasks results in "You cannot add more than 0 objects to the relationship" error here - if you need to add a blocker task before we get that fix out, please mark it UBN and mention here. I'll track manually.

Mentioned in SAL (#wikimedia-operations) [2022-06-16T18:44:29Z] <brennen> train 1.39.0-wmf.16 (T308069): no current blockers - rolling to all wikis

Change 806278 had a related patch set uploaded (by Brennen Bearnes; author: Brennen Bearnes):

[operations/mediawiki-config@master] all wikis to 1.39.0-wmf.16

https://gerrit.wikimedia.org/r/806278

Change 806278 merged by jenkins-bot:

[operations/mediawiki-config@master] all wikis to 1.39.0-wmf.16

https://gerrit.wikimedia.org/r/806278

Mentioned in SAL (#wikimedia-operations) [2022-06-16T18:49:57Z] <brennen@deploy1002> rebuilt and synchronized wikiversions files: all wikis to 1.39.0-wmf.16 refs T308069

Stable at all wikis for a couple of hours. Optimistically resolving.